/* special listing for language selector */
.d-small-listing-border {
	border-bottom: solid 1px colors/$grey4;
	width: 100%;
	margin-bottom: 8px;
	margin-top: -2px;
	
	.link {
		margin-top: 8px;
		margin-bottom: 8px;
	}
	
	&:first-child {
		border-top: solid 1px colors/$grey4;
	}
}

/* special shadow for language selector */
.d-shadow {
	box-shadow: 1px 1px 2px 0px colors/$image-shadow;
}


/* white box for language selector */
.d-box-white {
	padding: 20px;
	background-color: colors/$grey7;
}


/* special entry for products */
.d-multicolumn-product-entry {
	padding-bottom: 10px;
		
	.paragraph {
		position: relative;
		top: 50%;
		transform: translateY(-50%);
		padding-right: 10px;
	}
	
	.tooltip-wrapper {
		top: 50%;
		transform: translateY(-50%);
		float: right;
    	margin-left: 5px;
	}
	
	img {
		height: 30px;
		width: 30px;
		display: block;
	}
}


/* icon decorations */
.d-icon-link {
	line-height: 24px;
	
	.icon {
		width: 20px;
		font-size: look/$font-size-l;
		text-align: center;
		display: inline-block;
		vertical-align: top;
		top: 1px;
    	position: relative;
	}
	
	.text {
		display: inline-block;
		vertical-align: top;
		margin-top: 0;
	}
	
	&.left {
		.icon {
			margin-right: 10px;
		}
	}
	
	&.right {
		.icon {
			margin-left: 10px;
		}
	}
}

.d-icon-link-arrow {
	margin-left:25px;
}


/* button decorations */
.d-button {
	border: solid 1px colors/$grey6;
	display: inline-block;
	color: colors/$deco1;
	sv-txt-font: look/$font-a-bold;
	padding: 10px 40px;
	text-transform: uppercase;
	font-size: look/$font-size-s;
	border-radius: 5px;
	transition: opacity 0.2s ease 0s, color 0.2s ease 0s, background-color 0.2s ease 0s;
	
	&:hover {
		text-decoration: none;
		background-color: colors/$grey6;
		border: solid 1px colors/$grey6;
	}
}

.d-button-solid {
	cursor:pointer;
	display: inline-block;
	color: colors/$deco1;
	background-color: colors/$deco2;
	border: solid 1px colors/$deco2;
	color: colors/$grey7;
	padding: 0 30px 3px;
	line-height: look/$lineheight-button;
	border-radius:3px;
	sv-txt-font: look/$font-a-bold;
	font-size: look/$font-size-xs;
	text-align: center;
	transition: opacity 0.2s ease 0s, color 0.2s ease 0s, background-color 0.2s ease 0s, border 0.2s ease 0s;
	
	&:hover {
		text-decoration: none;
		border-color: colors/$grey1;
		background-color: colors/$grey1;
	}
	
	&:disabled {
		opacity: 40;
	}
	
	&.active {
		background-color: colors/$grey7;
		color: colors/$deco1;
	}
	
	&.medium {
		font-size: look/$font-size-m;
		padding-left: 10px;
		padding-right: 10px;
	}
	
	&.big {
		font-size: look/$font-size-l;
		padding: 20px 50px;
	}
}

.d-button-border {
	@extend .d-button-solid;
	
	color: colors/$grey1;
	background: colors/$grey7;
	
	&:hover {
		border-color: colors/$deco2;
		background-color: colors/$deco2;
		color: colors/$grey7;
	}
}

.m-newsletter {
	.d-button-solid {
		padding: 0;
	
		.padding-faker {
			padding: 3px 20px;
		}
	}
}

.d-button-solid.d-text-small {
	font-size: look/$font-size-tiny;
	padding: 6px 8px;
	width: auto;
}


/* text decorations */
.d-uppercase {
	text-transform: uppercase;
}

/* tag */
.d-tag {
	sv-txt-font: look/$font-a-bold;
	color: colors/$deco1;
	
	.text {
		display: inline-block;
		line-height: 20px;
		vertical-align: top;
	}
	
	.icon {
		font-size: look/$font-size-m;
		margin-right: 6px;
	}
}

.d-color-overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 10;
	background: colors/$deco1;
	transition: opacity 0.3s ease 0s;
}

.d-grayscale {
	filter: grayscale(100%);
	transition: filter 0.3s ease 0s, opacity 0.8s ease 0s;
}


/* filter header link-buttons */
.d-filter-header-nav {
	.col {
		margin: 0 2px;
	}
	
	.d-button-solid {
		width: 100%;
	}
}

.surf-n-edit-error-wrapper {
    margin-top: 40px;
    margin-right: 0px;
    margin-bottom: 40px;
    margin-left: 0px;
    border-width: 1px;
    border-style: solid;
    padding: 20px;
    border-color:colors/$grey2;
}



.bg-grey0 { background-color: colors/grey0; }
.bg-grey1 { background-color: colors/grey1; }
.bg-grey2 { background-color: colors/grey2; }
.bg-grey3 { background-color: colors/grey3; }
.bg-grey4 { background-color: colors/grey4; }
.bg-grey5 { background-color: colors/grey5; }
.bg-grey6 { background-color: colors/grey6; }
.bg-grey7 { background-color: colors/grey7; }

.bg-deco1 { background-color: colors/deco1; }
.bg-deco2 { background-color: colors/deco2; }
.bg-deco3 { background-color: colors/deco3; }
.bg-deco4 { background-color: colors/deco4; }
.bg-deco5 { background-color: colors/deco5; }
.bg-deco6 { background-color: colors/deco6; }
.bg-deco7 { background-color: colors/deco7; }
